#--Importa de la libreria de DJANGO lo concerniente con Modelos
from django.db import models
#--Importa la libreria de Fechas
from datetime import date
#--Importa el modelo de Modulo para uso
from modulos.models import Modulo
#--Clase que construye el modelo de las actividades
class Actividad(models.Model):
	#--Llave primaria para la tabla
	id_actividad = models.AutoField(primary_key=True)
	#--Id del modulo al que esta asignado
	id_modulo = models.ForeignKey(Modulo)
	#--Nombre de la actividad
	nombre = models.CharField(max_length=100)
	#--Descripcion de la actividad
	descripcion = models.CharField(max_length=200, null=True)
	#--Prograna asociado a la actividad
	programa = models.CharField(max_length=2000, null=True)
	#--Clase que setea el nombre de la tabla en la base de datos
	class Meta:
		#--Asignacion del nombre de la tabla
		db_table = u'ic_actividad'
	#--Definicion de atributo a devolver en las busquedas de DJANGO
	def __unicode__(self):
		return self.nombre 
